# from

abstract fun from(mergePath: Array<Any>): Manifest

Specifies other manifests to be merged into this manifest. A merge path can either be another instance of org.gradle.api.java.archives.Manifest or a file path as interpreted by file. The merge is not happening instantaneously. It happens either before writing or when getEffectiveManifest is called.

#### Return

this

abstract fun from(mergePath: Any, @DelegatesTo(value = ManifestMergeSpec::class) closure: Closure<out Any>): Manifest

Specifies other manifests to be merged into this manifest. A merge path is interpreted as described in from. The merge is not happening instantaneously. It happens either before writing or when getEffectiveManifest is called. The closure configures the underlying org.gradle.api.java.archives.ManifestMergeSpec.

#### Return

this

abstract fun from(mergePath: Any, action: Action<ManifestMergeSpec>): Manifest

Specifies other manifests to be merged into this manifest. A merge path is interpreted as described in from. The merge is not happening instantaneously. It happens either before writing or when getEffectiveManifest is called.

#### Return

this

#### Since

5.0